using e_suite.API.Common;
using e_suite.Modules.ExceptionLogManager.UnitTests.Repository;
using e_suite.UnitTestCore;

namespace e_suite.Modules.ExceptionLogManager.UnitTests.Helpers;

public class ExceptionLogManagerTestBase: TestBase
{
    protected FakeExceptionLogManagerRepository ExceptionLogManagerRepository { get; set; } = null!;
    protected IExceptionLogManager ExceptionLogManager { get; set; } = null!;

    public override async Task Setup()
    {
        await base.Setup();
        ExceptionLogManagerRepository = new FakeExceptionLogManagerRepository();

        ExceptionLogManager = new ExceptionLogger(_fakeClock, ExceptionLogManagerRepository);
    }
}
